![open](https://i.imgur.com/RxHYEPA.png)
# Arasaka Weapons Manufacturing - Yukimura Smart Pistol & Kenshin Tech Pistol

Two uniquely operating Arasaka pistols in one pack, each with their own Iconic variant. 

![open](https://i.imgur.com/KAc4Nyn.gif)

## HJKE-11 Yukimura Smart Pistol
The Yukimura is a bulky top fed smart pistol based on Arasaka's trusty JKE pistol platform. Boasting a thirty round magazine and a smart module with integrated ammo counter, the Yukimura is capable of locking onto sosig targets at up to 25 meters away and steering the projectiles into your target, because aiming takes time you might not have.

Smart weapons can only lock onto Sosig signatures, and will not lock onto node encryptions nor any other targets. Without a target lock, the weapon is incredibly inaccurate due to the short barrel and slow projectile. Pulling the trigger with a target locked will print the target onto the cartridge and fire it from the weapon, enabling it to chase the target along a parabolic arc. The smart module will retain lock for up to 5 seconds after getting a lock to the target, allowing you to fire around obstructions should the target try and move into cover. 

Smart pistols boast best-in-class homing capabilities with a fairly generous precision/headshot lock, but offer up poor penetration with poor max locking range and mediocre accuracy. Up against heavy armor, you'll have to get lucky and hit between the plates, or lock onto the head.

The included Genjiroh variant is one carried by a select few high-ranking 'Saka agents amongst Hanako's faction. The Genjiroh sports a polished gold finish on a sleek white carbon fibre frame. Besides the much flashier design, this variant trades a higher rate of fire and longer lock range for slightly poorer accuracy. (Eventually will be capable of firing multiple projectiles as it does in CP77)

#### Features:
- Actual parabolic smart projectiles! (Thanks to City!)
- Fully functional, animated ammo display
- Overheating effects
- New caseless ammo type, featuring fully custom particle trails and impact effects
- Self loading, will rack itself when a magazine is inserted (Thanks Potatoes!) 

## JKE-X2 Kenshin Tech Pistol
The Kenshin is a (somewhat) compact tech/charge pistol based on the same JKE pistol platform, designed for 'Saka field agents. The sleek, squared design with minimal extrusions and integrated holographic sights is meant to maximize concealability and minize interference with drawing from holsters, while not clashing with their expensive black suits. The Kenshin has been fitted with a Tech module, introducing electromagnetic rails inside the slide that allows for firing projectiles at extremely high velocities. When uncharged or rapidly firing, the Kenshin delivers your standard pistol-grade performance and penetration, capable of rapidly dispatching unarmored or lightly armored gonks. But the Kenshin's lethality and brute force comes out when charging the pistol. The pistol rapidly charges the electromagnetic rails over half a second, before releasing a two round burst guaranteed to penetrate any chromed up cyberpsycho's armor and nearly any surface, with practically no drop and travel time. The Kenshin has both power and style, delivering on Arasaka's standard of elegance in lethality.

The Chaos variant is the one (formerly) carried by Simon "Royce" Randall of Maelstrom, one of Night City's few remaining booster gangs. Repainted red with Maestrom ganger decals, the Chaos carries a higher burst rate of fire and is less controllable as a result, but also has a small chance of setting targets on fire when fully charged.

#### Features:
- Custom charge trigger script, featuring gradual power & velocity gain as it charges, culminating in a hyper-penetrating round when fully charged. (Thanks to City!)
- Fully custom particle and sound effects for overheating, charging and impacts. (Thanks to Meat for the sounds!)
- New caseless ammo type, capable of penetrating any surface or armor when fully charged. 


#### Huge thanks to:
- CD Projekt Red for the awesome models and sounds from Cyberpunk 2077, used with their kind permission.
- CityRobo for the incredible smart weapon and charge weapon scripts, and working with me tirelessly on perfecting them.
- MeatBanana for touching up my sounds and contributing his own.
- The rest of the modding collective for all of their support.

**Note: This project has NOT been in any way sponsored, supported or endorsed by CD PROJEKT S.A. or any of its subsidiaries.**

## Like my mods? Please consider donating! :)
[![Exampled Video](https://cdn.ko-fi.com/cdn/kofi1.png)](https://ko-fi.com/nikpo)

I'm also sometimes available for commission work if you'd like! Feel free to reach out to me on Discord (Nikpo#9948).

## Don't like my mods? Have some issues? :(
I'm available on Discord (Nikpo#9948) for feedback, reach out to me on any of the H3VR discords.

# Images

![open](https://i.imgur.com/nhX1Bab.jpg)
![open](https://i.imgur.com/RCoi3vR.jpg)
![open](https://i.imgur.com/xfVbBWv.png)
![open](https://i.imgur.com/bdfX5LU.jpg)

## Changelog
1.0.0
- Initial (standalone) release.